import request from '@/utils/request'

// 查询订单列表
export function listAppOrder(query) {
  return request({
    url: '/model/AppOrder/list',
    method: 'get',
    params: query
  })
}

// 查询订单详细
export function getAppOrder(orderId) {
  return request({
    url: '/model/AppOrder/' + orderId,
    method: 'get'
  })
}

// 新增订单
export function addAppOrder(data) {
  return request({
    url: '/model/AppOrder',
    method: 'post',
    data: data
  })
}

// 修改订单
export function updateAppOrder(data) {
  return request({
    url: '/model/AppOrder',
    method: 'put',
    data: data
  })
}

// 删除订单
export function delAppOrder(orderId) {
  return request({
    url: '/model/AppOrder/' + orderId,
    method: 'delete'
  })
}
